TYPOS3.Flow - Bug # 46536

Status: Resolved Priority: Must have

Author: Christopher Hlubek Category: Resource
Created: 2013-03-22 Assigned To: Christopher Hlubek
Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: Resource file upload does not allow files without extension

Description

The ResourceManager does not allow to create Resources or upload Resources from a filename without extension. This is not
consistent inside the ResourceManager and should generally be allowed.

Associated revisions

Revision d17b53c6 - 2013-03-22 11:31 - Christopher Hlubek
[BUGFIX] Allow upload of files without file extension

This change allows upload of files without a file extension. The upload
of PHP-Files is still not allowed. The method importUploadedResource
does not have a unit test, since it is not testable through the use of
move_uploaded_file.

Change-Id: 13a0a6ad89ab876a1c2113b0b6db967f983f5ef41

Resolves: #46536
Releases: master, 2.0

Revision f50d7f14 - 2013-03-27 12:05 - Christopher Hlubek

[BUGFIX] Allow upload of files without file extension

This change allows upload of files without a file extension. The upload

of PHP-Files is still not allowed. The method importUploadedResource

does not have a unit test, since it is not testable through the use of

move_uploaded_file.

Change-Id: I3a0a6ad89ab876a1c2113b0b6db967f983f5ef41

Resolves: #46536

Releases: master, 2.0

Revision 82106638 - 2013-04-05 12:01 - Christopher Hlubek

[BUGFIX] Allow upload of files without file extension

This change allows upload of files without a file extension. The upload
of PHP-Files is still not allowed. The method importUploadedResource
does not have a unit test, since it is not testable through the use of

move_uploaded_file.
Change-Id: I3a0a6ad89ab876a1c2113b0b6db967f983f5ef41

Resolves: #46536
Releases: master, 2.0

History

#1 - 2013-03-22 11:30 - Christopher Hlubek
- Category set to Resource

#2 - 2013-03-22 11:31 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19171

#3 - 2013-03-22 12:37 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d17b53c61e66ef6555e3f53424cb571b77c048ed.

#4 - 2013-03-27 12:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19379

#5 - 2013-03-27 13:37 - Christopher Hlubek

- Status changed from Under Review to Resolved

Applied in changeset commit:f50d7{14bb7c3c2e02ac7a8bbc19cff3bbb06e2f.

#6 - 2013-04-05 12:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19565

#7 - 2013-04-05 12:37 - Christopher Hlubek
- Status changed from Under Review to Resolved
https://review.typo3.org/19171
https://review.typo3.org/19379
https://review.typo3.org/19565

Applied in changeset commit:8210663811ac91ec6e822319a6876572b2ce1990.
